Eclipse Platform Release 3.7

## org.eclipse.ui.forms.events
Interface IExpansionListener

All Known Implementing Classes:
  ExpansionAdapter

    public interface IExpansionListener

Classes that implement this interface will be notified before and after the expandable control's expansion state changes.

Since:
  3.0

Method Summary
`void` `expansionStateChanged(ExpansionEvent e)` Notifies the listener after the expandable control has changed its expansion state.
`void` `expansionStateChanging(ExpansionEvent e)` Notifies the listener that the expandable control is about to change its expansion state.

Method Detail

### expansionStateChanging

    void expansionStateChanging(ExpansionEvent e)

  Notifies the listener that the expandable control is about to change its expansion state. The state provided by the event is the new state.

  Parameters:
    `e` - the expansion event

### expansionStateChanged

    void expansionStateChanged(ExpansionEvent e)

  Notifies the listener after the expandable control has changed its expansion state. The state provided by the event is the new state.

  Parameters:
    `e` - the expansion event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.